[Solved] Server version is different from console version (even though it's not)

Topics: Configuration Issue
Dec 13, 2014 at 10:59 PM
Edited Dec 13, 2014 at 11:01 PM
I'm running Windows 8.1 on my adminstrative machine and Server 2012 R2 for my WSUS server. Should be identical versions of the console and in fact it is when I check the versions. Both show they're on 6.3.9600.16384, but I still get the error in WPP. Thoughts?

I realize I could run it directly from the WSUS server, but I'd rather not do that if I don't have to.
Coordinator
Dec 14, 2014 at 6:46 AM
Edited Dec 14, 2014 at 3:56 PM
and in fact it is when I check the versions
Where do you see that it's the same version ?

Did WPP already works ? Or, is it the first time you try to run it an this administrative computer ?
Dec 14, 2014 at 1:32 PM
It pops up that warning when I connect to my WSUS server. It's the first time on this administrative computer or any computer for that matter. I'm brand new to the product.

I actually got the warning a couple weeks ago when I was running my WSUS server on 2008 R2 so I upgraded it to 2012 R2. Still get the error even after the upgrade.
Dec 14, 2014 at 2:20 PM
"Where do see that it's the same version ?"

Sorry I initially misread this. If I go to Help-->"About Update Services" from either console I see the same version number. I assume that's showing me the console version?
Editor
Dec 14, 2014 at 3:12 PM
BrianKlish wrote:
"Where do see that it's the same version ?"

Sorry I initially misread this. If I go to Help-->"About Update Services" from either console I see the same version number. I assume that's showing me the console >version?
Help is the version from the WSUS-Console, not the Server Version. Where you find the Server-Version? http://www.wsus.de/images/wsus-version.png Pls use the WSUS.MSC directly at the Server.

For WSUS-Servers installed on Server-OS lower then W2012 you find here the correct WSUS-Server-Version:

WSUS 3.0 (SP2): Build 3.2.7600.226
WSUS 3.0 (SP2) + KB2720211: Build 3.2.7600.251
WSUS 3.0 (SP2) + KB2734608: Build 3.2.7600.256
WSUS 3.0 (SP2) + KB2828185: Build 3.2.7600.262
WSUS 3.0 (SP2) + KB2938066: Build 3.2.7600.274
Coordinator
Dec 14, 2014 at 4:04 PM
To get the Wsus Server version, as Winfried said, open the Wsus.msc, select your Wsus in the treeview at left and look on the right pan. Or open WPP, connect to your Wsus server and go to 'Help'->'About'
To get the Wsus Console version, it's a little bit harder, because there is not API method to query that. Open WPP from an administrative computer, connect to your Wsus and go to 'Help'->'About'. Don't try by opening WPP on the Wsus server, WPP always display the same version for Wsus and Console when it is running directly on the Wsus server.
Dec 14, 2014 at 4:42 PM
The server version in the WSUS console is 6.3.9600.16384 per your directions above. From WPP I checked the help about screen and found a difference there. It shows the same 6.3.9600.16384 for the server that I've seen everywhere else, but the console it says is 6.3.9600.17477. I have no idea why. The server has all Windows updates as far as I can tell. I shall dig further. Any idea what update gets me to that version?
Dec 14, 2014 at 5:26 PM
It seems that a lot of files were updated to that version with the December update rollup that was delivered last week (http://support.microsoft.com/kb/3013769). Problem is that update is already installed on both my machine and the server. Not sure what's going on.
Coordinator
Dec 14, 2014 at 7:01 PM
I have this KB on my wsus server, and I'm still in 6.3.9600.16384.
Dec 14, 2014 at 7:21 PM
Yeah my server is too, but my client appears to be a step ahead somehow.
Editor
Dec 14, 2014 at 7:23 PM
IMHO should you use WPP ONLY directly on the WSUS. Is this not possible?
Dec 14, 2014 at 7:50 PM
It is currently. I was considering running without a GUI on that server so I would be prohibited from doing that. I also would prefer not to have to RDP first to do administration.
Dec 14, 2014 at 8:40 PM
I get the same results if I run WPP directly on the WSUS server. Does that make any sense?
Dec 14, 2014 at 8:44 PM
If I check the setting to connect to local server I don't get the error. If I look at help-->About it shows the exact same versions I saw from my client though.
Coordinator
Dec 14, 2014 at 8:48 PM
I've just seen that on my Wsus server, I have server version = 6.3.9600.16384 and console version = 6.3.9600.17477
It's kb3013769 that doing this update of the console but not the server !

When you check the option "Connect to local server", WPP connect to the same machine where it runs and don't check for console version, it assume that console version and server version will be the same.
It's the first time I saw this. KB3013769 change the game.
Jan 13, 2015 at 1:46 PM
Hello DCourtel,

will there be a version of WPP that does not check the console version upon startup? It would be way more convenient not having to run WPP directly on the WSUS machine or holding back KB3013769 on the other machine...

BTW: Thank you very much for that great tool - I already wonder how we small businesses did it without it before... ;-) We deeply appreciate your work!

Regards, Felix
Feb 3, 2015 at 11:15 PM
See issue 247 for more information:
version error after loading Microsoft KB3013488 or KB3013769

The following registry edit stops the warning from occurring when KB3013488 or KB3013769 are installed:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Update Services\Server\Setup\VersionString
the value of the string is set to 6.3.9600.17477 when KB3013488 or KB3013769 are installed.
Changing the value of this registry entry to 6.3.9600.16384 stops the warning occurring!

I am not sure how wise it is changing this registry entry as it may have undesirable effects.
Coordinator
Feb 15, 2015 at 3:55 PM
The new release of WPP allow to publish if server version is 6.3.9600.16384 and console version = 6.3.9600.17477.
Additionnaly, I have add an option to "Ignore Console and Server version mismatch".
Marked as answer by DCourtel on 2/15/2015 at 8:55 AM
Feb 28, 2015 at 11:43 AM
Thank you DCourtel. I have been checking often for this new release, but haven't seen it. When you plan on releasing this?
Mar 12, 2015 at 12:45 PM
Edited Mar 13, 2015 at 10:59 AM
Release V1.3.1411.09 not work when version mismatch. DCourtel. publish corrected release, please. Or post instruction how change this option. Thanks.
Normal work only if local connection options true, if remote connection -- error version mismatch.